// Since theming is not supported in fomantic-ui-sass, we have to override
// styles instead of variables.

.ui.dividing.header {
  border-bottom: 2px solid $primary-color;
}

.ui.primary.button {
  background-color: $primary-color;
  color: $tertiary-color;

  &:hover, &:focus, &:active {
    background-color: $primary-color-highlight;
  }
}

.ui.secondary.button {
  background-color: $secondary-color;
  color: $tertiary-color;

  &:hover, &:focus, &:active {
    background-color: $secondary-color-highlight;
  }
}

.ui.calendar i.calendar.icon {
  color: $secondary-color;
}

.ui.form input:not([type]):focus, .ui.form input[type="date"]:focus,
.ui.form input[type="datetime-local"]:focus, .ui.form input[type="email"]:focus,
.ui.form input[type="number"]:focus, .ui.form input[type="password"]:focus,
.ui.form input[type="search"]:focus, .ui.form input[type="tel"]:focus,
.ui.form input[type="time"]:focus, .ui.form input[type="text"]:focus,
.ui.form input[type="file"]:focus, .ui.form input[type="url"]:focus,
.ui.form textarea:focus, .ui.selection.active.dropdown,
.ui.selection.active.dropdown .menu, .ui.selection.dropdown:focus,
.ui.selection.dropdown:focus .menu, .ui.selection.active.dropdown:hover,
.ui.selection.active.dropdown:hover .menu {
  border-color: $secondary-color;
}
